OPENPAM_SET_FEATURE(3)

NAME
openpam_set_feature - enable or disable an optional feature

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/openpam.h>
int
openpam_set_feature(int feature, int onoff);

DESCRIPTION
This function is experimental and may be modified or removed in a future release without prior warning.

The openpam_set_feature() function sets the state of the specified feature to the value specified by the onoff argument. See openpam_get_feature(3) for a list of recognized features.

RETURN VALUES
The openpam_set_feature() function returns one of the following values:

[PAM_SYMBOL_ERR]
    Invalid symbol.

SEE ALSO
openpam_get_feature(3), pam(3), pam_strerror(3)

STANDARDS
The openpam_set_feature() function is an OpenPAM extension.

AUTHORS
The openpam_set_feature() function and this manual page were developed by Dag-Erling Smørgrav <des@des.no>.